### Function

# GLib aligned_free_sized

since: 2.76

#### Declaration [src]

    void
    g_aligned_free_sized (
      gpointer mem,
      size_t alignment,
      size_t size
    )

#### Description [src]

Frees the memory pointed to by `mem`, assuming it is has the given `size` and `alignment`.

If `mem` is `NULL` this is a no-op (and `size` is ignored).

It is an error if `size` doesn’t match the size, or `alignment` doesn’t match the alignment, passed when `mem` was allocated. `size` and `alignment` are passed to this function to allow optimizations in the allocator. If you don’t know either of them, use `g_aligned_free()` instead.

Available since: 2.76

#### Parameters

`mem`

  Type: `gpointer`

  The memory to free.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`alignment`

  Type: `size_t`

  Alignment of `mem`.

`size`

  Type: `size_t`

  Size of `mem`, in bytes.